export interface PkgModel {
    name: string;
    var: string;
    path: string | string[];
    css?: string;
    version?: string;
}
interface PkgPool {
    name: string;
    var: string;
    version: Record<string, {
        path: string;
        css?: string;
        default?: boolean;
    }>;
}
/**
 * cdn 池
 */
export declare const pkgPool: PkgPool[];
export declare function getAllPkg(): string[];
/**
 * 获取 importToCDN.modules 参数
 * @param pkg 字符串 PkgModel 类型的对象数组
 * @returns PkgModel[]
 */
export declare function getPaths(pkg: Array<string | PkgModel>): Array<PkgModel>;
/**
 * 重写 cdn path 插件
 * @returns
 */
export default function cdnRewrite(): {
    name: string;
    apply: string;
    writeBundle(options: any, bundle: any): void;
};
export {};
